Webhook ingress
Carrier recorded-message webhook (media stream)
Verified with the carrier’s request signature, keyed by the account that holds the dialled number. Records the message a caller left on the message path, one per call, for an employee that takes messages. Off unless the deployment enables it.
POST
/
v1
/
webhooks
/
telephony
/
message
Carrier recorded-message webhook (media stream)
curl --request POST \
--url https://api.sempera.org/v1/webhooks/telephony/message \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'X-Twilio-Signature: <api-key>' \
--data 'To=<string>' \
--data 'CallSid=<string>' \
--data 'RecordingSid=<string>' \
--data 'RecordingUrl=<string>'import requests
url = "https://api.sempera.org/v1/webhooks/telephony/message"
payload = {
"To": "<string>",
"CallSid": "<string>",
"RecordingSid": "<string>",
"RecordingUrl": "<string>"
}
headers = {
"X-Twilio-Signature": "<api-key>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Twilio-Signature': '<api-key>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
To: '<string>',
CallSid: '<string>',
RecordingSid: '<string>',
RecordingUrl: '<string>'
})
};
fetch('https://api.sempera.org/v1/webhooks/telephony/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
Carrier signature over the public request URL and form fields.
Query Parameters
Available options:
at_capacity, workspace_limit, unavailable, already_admitted, testing Body
application/x-www-form-urlencoded
Response
Call-control markup
The response is of type string.
⌘I
Carrier recorded-message webhook (media stream)
curl --request POST \
--url https://api.sempera.org/v1/webhooks/telephony/message \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'X-Twilio-Signature: <api-key>' \
--data 'To=<string>' \
--data 'CallSid=<string>' \
--data 'RecordingSid=<string>' \
--data 'RecordingUrl=<string>'import requests
url = "https://api.sempera.org/v1/webhooks/telephony/message"
payload = {
"To": "<string>",
"CallSid": "<string>",
"RecordingSid": "<string>",
"RecordingUrl": "<string>"
}
headers = {
"X-Twilio-Signature": "<api-key>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Twilio-Signature': '<api-key>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
To: '<string>',
CallSid: '<string>',
RecordingSid: '<string>',
RecordingUrl: '<string>'
})
};
fetch('https://api.sempera.org/v1/webhooks/telephony/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}